%define pkgname		gnome-vfs
%define api_version	2
%define lib_major	0
%define libname		%mklibname %{name}_ %{lib_major}
%define libnamedev	%mklibname %{name} -d

Summary:	GNOME virtual file-system libraries
Name:		%{pkgname}%{api_version}
Version:	2.24.4
Release:	%mkrel 4
License:	GPLv2+ and LGPLv2+
Group:		Graphical desktop/GNOME
URL:		http://www.gnome.org/
Source0:	https://download.gnome.org/sources/%{pkgname}/2.24/%{pkgname}-%{version}.tar.xz
# (gw) 2.6.0-1mdk set default web browser
Patch5:		gnome-vfs-2.8.2-webclient.patch
# (fc) 2.8.2-1mdk handle about: url (Fedora)
Patch8:		gnome-vfs-2.7.90-schema_about_for_upstream.patch
# (fc) 2.8.3-5mdk support pamconsole mount option (Fedora)
Patch10:	gnome-vfs-2.24.1-console-mount-opt.patch
# (fc) 2.17.91-2mdv replace references to gnomemeeting with ekiga
Patch11:	gnome-vfs-2.17.91-fixh323.patch
# (fc) 2.17.91-3mdv allow OnlyShowIn=KDE .desktop to be used when running under KDE (Mdv bug #26999)
Patch12:	gnome-vfs-2.17.91-onlyshow.patch
# (fc) 2.18.0.1-2mdv fix crash when fstab is being edited (Ubuntu) (GNOME bug #300547)
Patch13:	gnome-vfs-2.20.0-fstab-edit-crash.patch
# (fc) 2.18.0.1-2mdv fix uuid and label mount point duplication (initial idea from Ubuntu bug #57701) (Mdv bug #32792)
Patch14:	gnome-vfs-2.20.0-uuid-label-mount.patch
# (fc) 2.18.0.1-2mdv resolve mount point fstab symlinks (Ubuntu)
Patch15:	gnome-vfs-2.20.0-resolve-fstab-symlinks.patch
# (fc) 2.24.2-3mdv add default media player schema (GNOME bug #435653) (Fedora)
Patch16:	gnome-vfs-2.24.2-default-media-application-schema.patch
# (fc) 2.24.2-3mdv ensure mailto evolution command is a mailer (RH bug #197868) (Fedora)
Patch17:	gnome-vfs-2.15.91-mailto-command.patch
# (fc) 2.24.2-3mdv fix dbus error (Fedora bug #486286) (Fedora)
Patch18:	gnome-vfs-2.24.xx-utf8-mounts.patch
# (fc) CVE-2009-2473 gnome-vfs2 embedded neon: billion laughs DoS attacck (Fedora)
Patch19:	gnome-vfs-2.24.3-CVE-2009-2473.patch
Patch20:	gnome-vfs2-glib.patch

BuildRequires:	pkgconfig(avahi-client) >= 0.6
BuildRequires:	pkgconfig(avahi-glib) >= 0.6
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.60
BuildRequires:	pkgconfig(gconf-2.0) >= 1.1.1
BuildRequires:	pkgconfig(glib-2.0) >= 2.9.3
BuildRequires:	pkgconfig(gmodule-no-export-2.0) >= 2.9.3
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(gobject-2.0) >= 2.9.3
BuildRequires:	pkgconfig(gthread-2.0) >= 2.9.3
BuildRequires:	pkgconfig(howl) >= 0.9.6
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:	pkgconfig(openssl)
BuildRequires:	acl-devel
BuildRequires:	bzip2-devel
BuildRequires:	pkgconfig(gamin)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	gtk-doc 
BuildRequires:	docbook-dtd412-xml
BuildRequires:	intltool
Requires:	%{libname} = %{version}
Requires:	dbus-x11
Requires:	shared-mime-info
Requires:	libsmbclient
# needed for www-browser
Requires:	desktop-common-data
Obsoletes:	gnome-vfs-extras
Provides:	gnome-vfs-extras
Requires(preun): GConf2

%description
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.  It is similar in spirit to the Midnight
Commander's VFS (as it uses a similar URI scheme) but it is designed
from the ground up to be extensible and to be usable from any
application.

%package -n %{libname}
Summary:	%{summary}
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package contains the main GNOME VFS libraries, which is required
by the basic GNOME 2 system.


%package -n %{libnamedev}
Summary:	Libraries and include files for gnome-vfs
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname -d %{name}_ %{lib_major}

%description -n %{libnamedev}
The GNOME Virtual File System provides an abstraction to common file
system operations like reading, writing and copying files, listing
directories and so on.

This package includes libraries and header files for developing
GNOME VFS applications.


%prep
%setup -q -n %{pkgname}-%{version}
%apply_patches

# replace gnome-mime-data_2.0 with shared-mime-info
sed -i -e 's|gnome-mime-data-2.0|shared-mime-info|' configure.in
autoconf

%build
%configure2_5x \
	--enable-gtk-doc=yes \
	--disable-static \
	--disable-selinux \
	--disable-hal \
	--enable-compile-warnings=no

%make_build

%install
%make_install

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/gnome-vfs-2.0/libgnomevfs/gnome-vfs-file-size.h

# we ship our own files in drakconf and drakwizard
rm -f %{buildroot}%{_sysconfdir}/gnome-vfs-2.0/vfolders/{system,server}-settings.vfolder-info

# don't package these
find %{buildroot} -name '*.la' -delete

%{find_lang} %{pkgname}-2.0

%define schemas desktop_default_applications desktop_gnome_url_handlers system_dns_sd system_http_proxy system_smb 

%preun
%preun_uninstall_gconf_schemas %schemas

%files -f %{pkgname}-2.0.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/%{pkgname}-*
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/gnome-vfs-daemon
%{_datadir}/dbus-1/services/*.service

%files -n %{libname}
%{_libdir}/libgnomevfs-2.so.%{lib_major}*
%dir %{_libdir}/%{pkgname}-*
%dir %{_libdir}/%{pkgname}-*/modules
%{_libdir}/%{pkgname}-2.0/modules/*.so

%files -n %{libnamedev}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/%{pkgname}-*/include
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Aug 12 2016 daviddavid <daviddavid> 2.24.4-4pclos2017
- rebuild against updates
